### org.jfree.layouting.renderer

# Class AbstractRenderer.RendererState

- `java.lang.Object`
- - `org.jfree.layouting.renderer.AbstractRenderer.RendererState`

Enclosing Class:
  AbstractRenderer

Implemented Interfaces:
  Serializable, State

Known Direct Subclasses:
  PaginatingRenderer.DefaultFlowRendererState, StreamingRenderer.DefaultFlowRendererState

`protected static abstract class AbstractRenderer.RendererState`
`extends java.lang.Object`
`implements State`

  ## Constructor Summary

  `RendererState(AbstractRenderer renderer)`

  ## Method Summary

  `protected void`

  `fill(AbstractRenderer renderer, LayoutProcess layoutProcess)`

## Constructor Details

### RendererState

    protected RendererState(AbstractRenderer renderer)
                throws StateException

## Method Details

### fill

    protected void fill(AbstractRenderer renderer,
                        LayoutProcess layoutProcess)
                throws StateException